lkml.org 
[lkml]   [2023]   [Mar]   [1]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
From
Date
Subjecta tiny patch related to two shell scripts that use 2&>1 in place of 2>&1
Hi,

Further to the following item reported to the Debian QA mailing list:
https://lists.debian.org/debian-qa/2023/02/msg00052.html
here is attached a patch regarding two possible candidates in the
linux source tree.

Regards,
Patrice
diff --git a/tools/perf/tests/shell/record_offcpu.sh b/tools/perf/tests/shell/record_offcpu.sh
index e01973d4e0fb..f062ae9a95e1 100755
--- a/tools/perf/tests/shell/record_offcpu.sh
+++ b/tools/perf/tests/shell/record_offcpu.sh
@@ -65,7 +65,7 @@ test_offcpu_child() {

# perf bench sched messaging creates 400 processes
if ! perf record --off-cpu -e dummy -o ${perfdata} -- \
- perf bench sched messaging -g 10 > /dev/null 2&>1
+ perf bench sched messaging -g 10 > /dev/null 2>&1
then
echo "Child task off-cpu test [Failed record]"
err=1
diff --git a/tools/testing/selftests/drivers/net/dsa/test_bridge_fdb_stress.sh b/tools/testing/selftests/drivers/net/dsa/test_bridge_fdb_stress.sh
index a1f269ee84da..92acab83fbe2 100755
--- a/tools/testing/selftests/drivers/net/dsa/test_bridge_fdb_stress.sh
+++ b/tools/testing/selftests/drivers/net/dsa/test_bridge_fdb_stress.sh
@@ -31,7 +31,7 @@ trap 'cleanup' EXIT

eth=${NETIFS[p1]}

-ip link del br0 2&>1 >/dev/null || :
+ip link del br0 2>&1 >/dev/null || :
ip link add br0 type bridge && ip link set $eth master br0

(while :; do
\
 
 \ /
  Last update: 2023-03-27 00:39    [W:0.196 / U:0.016 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site